-- **************************************************
-- ██████  ██████   █████  ██    ██ ███████ ███    ██ 
-- ██   ██ ██   ██ ██   ██ ██    ██ ██      ████   ██ 
-- ██████  ██████  ███████ ██    ██ █████   ██ ██  ██ 
-- ██   ██ ██   ██ ██   ██  ██  ██  ██      ██  ██ ██ 
-- ██████  ██   ██ ██   ██   ████   ███████ ██   ████
-- **************************************************

local function onGameStart()
    local playerObj = getPlayer(); if not playerObj then return end
    local playerProfession = playerObj:getDescriptor():getProfession()

    if (playerProfession == "doctor" or playerProfession == "nurse") and not playerObj:HasTrait("MedicalPractitioner") then
        playerObj:getTraits():add("MedicalPractitioner")
    end

    if SandboxVars.FirstAidOverhaul.ShowDebugInfo and playerObj:getPerkLevel(Perks.Doctor) >= 8 then
        ISHealthPanel.cheat = true
        playerObj:setHealthCheat(true)
    end
end

Events.OnGameStart.Add(onGameStart)